package com.zj365.health.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.common.Const
import com.xty.network.model.ProgrammeBean
import com.xty.network.model.RespBody
import org.json.JSONObject

class MyProgVm:BaseVm() {
    val progLive by lazy{ MutableLiveData<RespBody<MutableList<ProgrammeBean>>>() }
    fun getNesProg(id:String){
        startHttp {
            var json= JSONObject()
            json.put("type",Const.PROGRAMME_1)
            json.put("id",id)
            var response=  apiInterface().getProg(retrofits.getRequestBody(json .toString()))
            response.getCodeStatus(progLive,nowData)
        }
    }
}