package com.zj365.dc.activity

import android.view.View
import com.alibaba.android.arouter.facade.annotation.Route
import com.xty.base.act.BaseVmAct
import com.xty.base.vm.BaseVm
import com.xty.common.arouter.ARouterUrl
import com.xty.common.arouter.RouteManager
import com.zj365.dc.R
import com.zj365.dc.databinding.ActDietManagementBinding

@Route(path = ARouterUrl.DIET_MANAGEMENT)
class DietManagementAct : BaseVmAct<BaseVm>(){

    val binding by lazy{ ActDietManagementBinding.inflate(layoutInflater)}
    override fun liveObserver() {
    }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text ="膳食管理"
        binding.title.mIvBack.setOnClickListener {
            finish()
        }

        binding.rxCalorie.setOnClickListener(setOnClickListener)
        binding.rxHealthyDiet.setOnClickListener(setOnClickListener)
        binding.rxMedicineFood.setOnClickListener(setOnClickListener)
        binding.rxFoodDiary.setOnClickListener(setOnClickListener)
        binding.rxMore.setOnClickListener(setOnClickListener)
    }

    var setOnClickListener = View.OnClickListener {
        when(it.id){
            R.id.rx_calorie ->{
                RouteManager.goAct(ARouterUrl.CALORIE_ANALYZE)
            }

            R.id.rx_healthy_diet ->{

            }
            R.id.rx_medicine_food ->{

            }
            R.id.rx_food_diary ->{

            }

            R.id.rx_more ->{

            }
        }

    }

    override fun setLayout() = binding.root

}